Subject: Re: [PATCH net-next] tc: Return an error if filters try to attach too many actions

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Apr 2025 14:24:16 -0700

On Mon, 14 Apr 2025 14:03:31 -0700 Cong Wang wrote:
> > > I wonder ENOSPC is a better errno than EINVAL here?  
> > 
> > I think EINVAL is fine, it's the generic "netlink says no" error code. 
> > The string error should be clear enough.  
> 
> IMHO, EINVAL is abused (which is probably why we introduced extack). I
> prefer to find a better errno than EINVAL whenever possible.
>  
> Extack is available but it is mostly for human to read, not technically
> an API for programs to interpret.

How is user space going to interpret the error code here?
Seems to me that'd mean the user space is both aware of the limit 
and yet trying to send more actions.